Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

com.clra.member.* (17)com.clra.rowing.* (37)com.clra.util.* (12)com.clra.visitor.* (7)
com.clra.web.* (58)com.clra.xml.* (5)

Package Samples:

com.clra.member
com.clra.rowing.remote
com.clra.rowing
com.clra.util
com.clra.web
com.clra.member.remote
com.clra.visitor.remote
com.clra.visitor
com.clra.xml
com.clra.xml.security

Classes:

INameList: Declares JSP attributes and bean properties for alphabetized lists of stuff. Views that implement this interface may be controlled via components such as NameSelector. For Java Server Pages, this interface declares three attributes that should be set and accessed within the scope of a request or session: restricted : is the view restricted to a range of items with names that start with a particular group of letters? [true,false] group : if the view is restricted, the group of letters with the name of an item should begin. comparator : specifies a bean that implements java.util.Comparator which ...
MemberTag: MemberTag member , used to get the member who is currently logged in. This class is a thin wrapper around the MemberView class. MemberTag Lib Descriptor <name>memberId</name> <tagclass>com.clra.web.MemberIdTag</tagclass> <bodycontent>empty</bodycontent> <info>Gets a property of an authenticated member.</info> Most properties are self-explanatory. Name, Address, Telephone and ID values require special names. The birth date is returned as "mm/dd/yyyy". If no property is specified, the default is "fullName". PN_ACCOUNTNAME == "accountName" == getAccountName() ...
IEventList: Declares JSP attributes and bean properties for sorted lists of scheduled events. Views that implement this interface may be controlled via components such as MonthViewSelector and YearViewSelector. For Java Server Pages, this interface declares four attributes that should be set and accessed within the scope of a request or session: restricted : is the view restricted to a range of dates within a particular month and year? [true,false] month : if the view is restricted, the month to which it is restricted. A number between 0 (January) and 11 (December). year : if the view is restricted, the year ...
ParticipationForm: Form bean for the session signup screen. A session signup screen contains the same information as a rowing session screen, plus additional fields. Here is a list of additions or differences, with default values in square brackets: action - The maintenance action that is being performed is restricted to Create, Promote, Edit, View, Cancel or Delete. [Create] memberId - The primary key of the member signing up for the session. [REQUIRED] rowingId - The primary key of the rowing session. [REQUIRED] participantId - The read-only id of the participant. [REQUIRED on Edit] seatPreference - The requested ...
MemberSet: A JSP bean that provides ordered lists of MemberViews. This class is a thin wrapper around calls to MemberDBRead. In the future, it might add further value by caching and sorting views on the client side. FIXME: this class is basically a list, not a set. A set hides duplicates, whereas a list does not. Rename this class. FIXME: this class could be less tightly coupled to the GUI, by using String properties lowerBound and upperBound. If both lowerBound and upperBound are non-null, then select for lowerBound In the current implementation, a list is created on the fly whenever a JSP is displayed, ...
RowingSessionForm: Form bean for the rowing session page. This form has the following fields, with default values in square brackets: action - The maintenance action that is being performed: Create, Edit, Publish, Lock, View, Cancel or Delete. [REQUIRED] id - The rowing_id of the rowing session. [REQUIRED except on Create, IMMUTABLE otherwise] datetime - The date (and time) for this rowing session. [REQUIRED on Create and Edit, IMMUTABLE otherwise] level - The level (LTR, REGULAR) of this rowing session. [REQUIRED on Create and Edit, IMMUTABLE otherwise] type - The type (COMPETITION,PRACTICE) of this rowing session. ...
SessionSet: A JSP bean that provides ordered lists of SessionViews. This class is a thin wrapper around calls to RowingDBRead. In the future, it might add further value by caching and sorting views on the client side. FIXME: this class is basically a list, not a set. A set hides duplicates, whereas a list does not. Rename this class. In the current implementation, a list is created on the fly whenever a JSP is displayed, and the list is tossed after the page is written. For lists of 60 or so items, a page will update in 2 - 3 seconds when the app and web servers are lightly loaded. This is adequate performance, ...
NameSelectorTag: Allows the user to choose a group of items, selected by the first letter of their name. Selection is case-insensitive and limited to 8 predefined groups, like the buttons on a telephone: ABC - names less than 'D' DEF - names greater than 'D' and less than 'G' GHI - names greater than 'G' and less than 'J' JKL - names greater than 'J' and less than 'M' MNO - names greater than 'M' and less than 'P' PQRS - names greater than 'P' and less than 'T' TUV - names greater than 'T' and less than 'W' WXYZ - names greater than or equal to 'W' Note that the first group, ABC , may contain names like "3Com", ...
Email: Encapsulates the email address of a member. This class performs rough validation of email addresses, in the spirit of RFC 821, but not to the letter of that specification. An email address is considered valid if it is of the form: "local" "@" "domain" where the "local" part can be any combination of [a-zA-Z0-9.] that does not start with a digit or dot nor ends with a dot. (To be rigorous, the local part should exclude doubled dot sequences, and it should allow all escaped ASCII characters.) The "domain" part can be any combination of [-a-zA-Z09.] that does not start with a digit, hyphen or dot, ...
EnrollmentSnapshot: Read-only information about enrollment of a member in a rowing session. Unlike a Participant entity, which is non-null only if a member is signed up for a rowing session, an enrollment instance is guaranteed to be non-null regardless of whether a member is signed up in a rowing session. An enrollment instance is a derived view that doesn't correspond to a persistent object in the database. An enrollment is composed of a member_id, a rowing_id, and a participant_id. The member_id and rowing_id must be non-null. The participant_id is non-null only if the member has signed up for the rowing session. ...
IMemberNameList: Declares JSP attributes and bean properties for alphabetized lists of members. Views that implement this interface may be controlled via components such as NameSelector. This interface is an extension of INameList. For Java Server Pages, this interface declares one attribute (in addition to the attributes declared by INameList) that should be set and accessed within the scope of a request or session: membernameformat : the format with which member names are presented and sorted. [MemberNameFormat.FIRSTLAST] For beans, this interface declares one property (in addition to the properties declared ...
EnrollmentSet: A JSP bean that provides ordered lists of EnrollmentViews. This class is a thin wrapper around calls to RowingUtils. In the future, it might add further value by caching and sorting views on the client side. FIXME: this class is basically a list, not a set. A set hides duplicates, whereas a list does not. Rename this class. In the current implementation, a list is created on the fly whenever a JSP is displayed, and the list is tossed after the page is written. For lists of 60 or so items, a page will update in 2 - 3 seconds when the app and web servers are lightly loaded. This is adequate performance, ...
RowingUtils: Utilities for finding and creating "base" entities: Member, RowingSession, Boat, and Oarset. Other entities are created by operations on these base entities. These utilities are implemented by calls to EJB's. They are appropriate where entities should be cached in memory, perhaps because the entities will be modified shortly. The class RowingDBRead defines utilities with similar signatures that are implemented by directly reading from the database. These operations are faster if objects are not already in memory, and if the objects are not anticipated to require modification.
RowingDBRead: This utility class defines common routines for reading snapshots from the database. In cases where read-only lists are presented to a user, these routines are faster than their ejbFind counterparts. However, data should never be written directly back to the database, otherwise in-memory caches maintained by EJB's will be out of synch and data will be corrupted. The class RowingUtils defines utilities with similar signatures that are implemented by calls to EJB's. These operations are appropriate if objects should be cached in memory because they will be modified shortly.
EditMemberInfoAction: A workflow manager that sets up an input form that queries a user for information needed to maintain the user's personal information. See the related workflow manager, SaveMemberInfoAction , which pulls information from the input form and invokes the business logic that does the actual work of editing the personal information. The 'function' parameter is 'Edit' or 'Manage'. For 'Edit', retrieve a MemberSnapshot for the member specified by the parameter 'id'. For 'Manage', present a blank form.
MembershipServlet: Converts a soap response to CSV or beautified XML message. The only valid request parameters are: format . Specifies what action to perform. The only valid values for this parameter are: CSV Converts a SOAP message to comma-separarted-value format. XML Converts a SOAP message to a simplified XML format. If the format parameter is omitted, the output format defaults to beautified XML.
MemberRole: Encapsulates information about the role of a member within the club. A member's roles determine his or her access rights. For example, a treasurer or a member-manager may update the account information of other members, but they can not create or edit rowing sessions. Conversely, a captain or a coach may create and edit rowing sessions, but they can not update the account information of other members. If a member has no roles, the member has no access rights to the website.
Authentication: Authenticates a user during login, and releases the authentication during logout. Note: This class is NOT secure, because it stores passwords in plain text. This isn't an issue unless the rowing association starts doing e-commerce. The plain-text issue is important when web objects use Authentication instances, because they typically stick them into HttpSessions, where they can be deserialized to any old location.
EditRowingSessionAction: A workflow manager that sets up an input form which queries a user for information needed to create, edit, publish, view, delete or cancel a rowing session. See the related workflow manager, SaveRowingSessionAction , which pulls information from the input form and invokes the business logic that does the actual work of creating, editing, publishing, viewing, deleting or cancelling a rowing session.
EditParticipationAction: A workflow manager that sets up an input form which queries a user for information needed to create, edit, or view participation in a rowing session. See the related workflow manager, SaveParticipationAction , which pulls information from the input form and invokes the business logic that does the actual work of creating, editing, or viewing rowing-session participation.
DBAuthorizationHandler: A renamed, but otherwise identical, version of the Axis SimpleAuthorizationHandler, which checks to see if a user specified in the MessageContext is allowed to perform the requested action. The main value of this class is to put the Axis code under CLRA version control, in case the Axis version disappears or changes in some incompatible way (which is, admittedly, very unlikely).
MemberDBRead: This utility class defines common routines for reading snapshots from the database. In cases where read-only lists are presented to a user, these routines are faster than their ejbFind counterparts. However, data should never be written directly back to the database, otherwise in-memory caches maintained by EJB's will be out of synch and data will be corrupted.
INamed: Declares a read-only interface for named objects. Named objects should guarantee that getName() returns a non-null and non-blank value (otherwise it doesn't make much sense to declare an object as 'Named'). Implementations should also trim names (i.e. remove leading and trailing whitespace) since whitespace doesn't make much sense in a name.
AccountType: Encapsulates information about the type of account of a member. The type of an account is used in several ways: By the treasurer, as a part of accounting By the member-manager and others, when boatings are created By social chairs and others, when contacting past and present membership of the club.
SaveParticipationAction: A workflow manager that pulls data about a rowing session from an input form. The data is used to invoke business logic that creates, edits, publishes, views, deletes or cancels a rowing session. See the related workflow manager, EditParticipationAction , which initializes an input form with data from a rowing session.

Home | Contact Us | Privacy Policy | Terms of Service